Bug 395051 - Review Request: pyJigdo - Python Based Jigdo
Review Request: pyJigdo - Python Based Jigdo
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stewart Adam
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 18:42 EST by Jonathan Steffan
Modified: 2007-12-28 16:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-28 16:20:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jonathan Steffan 2007-11-21 18:42:28 EST
Spec URL: Soon
SRPM URL: Soon
Description: pyJigdo is an initiative to implement Jigsaw Downloading http://atterer.net/jigdo/ in python and tie it in closely with Open Source infrastructure https://hosted.fedoraproject.org/projects/mirrormanager/ developed by the Fedora Project.
Comment 2 Stewart Adam 2007-11-27 18:29:46 EST
+ source files match upstream: fc54cbb4e0df8df21d48ee2b00680a6c3124f0a2
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.  GPLv2 License text included in package.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package installs properly
 debuginfo package looks complete.
- rpmlint is silent.
* Two minor errors:
  pyjigdo.src: W: mixed-use-of-spaces-and-tabs (spaces: line 5, tab: line 5)
  pyjigdo.src: W: strange-permission pyjigdo.spec 0600
  pyjigdo.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/pyjigdo/__init__.py 0644
  pyjigdo.noarch: E: zero-length /usr/share/doc/pyjigdo-0.2/NEWS
  pyjigdo.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/pyjigdo-0.2/TODO
  pyjigdo.noarch: E: zero-length /usr/share/doc/pyjigdo-0.2/AUTHORS
  pyjigdo.noarch: W: incoherent-version-in-changelog 0.2-2 0.2-2.20071127git.fc8
+ final provides are sane:
  config(pyjigdo) = 0.2-2.20071127git.fc8
  pyjigdo = 0.2-2.20071127git.fc8
+ final requires are sane:
  /usr/bin/python  
  config(pyjigdo) = 0.2-2.20071127git.fc8
  jigdo  
  python(abi) = 2.5
  rpmlib(CompressedFileNames) <= 3.0.4-1
  rpmlib(PartialHardlinkSets) <= 4.0.4-1
  rpmlib(PayloadFilesHavePrefix) <= 4.0-1
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.

A Koji (scratch) build is in progress here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=262420

Assuming that completes successfully, just the few changes to fix the rpmlint
messages are needed.
Comment 4 Tom "spot" Callaway 2007-12-19 18:01:36 EST
Based on changes in -3 (fixed on irc), I approve this package.
Comment 5 Jonathan Steffan 2007-12-19 18:08:19 EST
New Package CVS Request
=======================
Package Name: pyjigdo
Short Description: pyJigdo - Python based Jigdo
Owners: jsteffan kanarip
Branches: F-7 F-8 devel
InitialCC: 
Cvsextras Commits: yes
Comment 6 Jonathan Steffan 2007-12-20 04:52:30 EST
Cvsextras Commits: no

Comment 7 Tom "spot" Callaway 2007-12-20 10:16:21 EST
cvs done.
Comment 8 Jonathan Steffan 2007-12-28 16:20:33 EST
Thanks.

Note You need to log in before you can comment on or make changes to this bug.